Bug 74239 - Issues loading source files
Issues loading source files
Product: Red Hat Linux
Classification: Retired
Component: ddd (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Depends On:
  Show dependency treegraph
Reported: 2002-09-18 10:51 EDT by Norm Murray
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-08 05:00:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Norm Murray 2002-09-18 10:51:30 EDT
Description of Problem:
ddd-3.3.1-19 gdb-5.2.1-4

When using ddd, having a breakpoint set in a function, often the source file
will fail to load completely resulting in an inability to watch the step-through.

It seems to be reproducible per breakpoint/source file, as other breakpoints in
the same session and run of the application being debugged work as expected
(mostly - the 'current line' pointer also seems to be somewhat confused).
Comment 1 Ngo Than 2003-10-08 05:00:36 EDT
it seems to be fixed in 3.3.7-3, which is available in rawhide soon.

Note You need to log in before you can comment on or make changes to this bug.